## org.hibernate.ejb.criteria.expression
Class SearchedCaseExpression.WhenClause

    java.lang.Object
      org.hibernate.ejb.criteria.expression.SearchedCaseExpression.WhenClause

Enclosing class:
  SearchedCaseExpression<R>

    public class SearchedCaseExpression.WhenClause

extends Object

Constructor Summary
`SearchedCaseExpression.WhenClause(Expression<Boolean> condition, Expression<? extends R> result)`

Method Summary
`Expression<Boolean>` `getCondition()`
`Expression<? extends R>` `getResult()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchedCaseExpression.WhenClause

    public SearchedCaseExpression.WhenClause(Expression<Boolean> condition,
                                             Expression<? extends R> result)

Method Detail

### getCondition

    public Expression<Boolean> getCondition()

### getResult

    public Expression<? extends R> getResult()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.